Permalink for Post #1

Thread: ZT 180 Epad (Ruby 1.4) Bricked need help plss